package com.idea.customerManagement.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class ContractManage implements Serializable {
    private String id;

    private String recordNumber;

    private String contractNumber;

    private String seller;

    private String houseId;

    private String houseName;

    private Double actualBuildArea;

    private Double actualInternalArea;

    private Double actualShareArea;

    private String institution;

    private Date signingDate;

    private BigDecimal housePrice;

    private BigDecimal totalPrice;

    private Double buyerProportion;

    private BigDecimal buyerMoney;

    private String buyerName;

    private Integer paymentMethod;

    private Date deadline;

    private BigDecimal maintenanceFunds;

    private BigDecimal maintenanceTotalPrice;

    private Integer contractStatus;

    private String customerManagementId;

    private BigDecimal subscriptionFunds;

    private String createdId;

    private Date createdAt;

    private Date updatedAt;

    private String updatedId;

    private String remark;

    private String contractOriginal;

    private String contractOther;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getRecordNumber() {
        return recordNumber;
    }

    public void setRecordNumber(String recordNumber) {
        this.recordNumber = recordNumber == null ? null : recordNumber.trim();
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber == null ? null : contractNumber.trim();
    }

    public String getSeller() {
        return seller;
    }

    public void setSeller(String seller) {
        this.seller = seller == null ? null : seller.trim();
    }

    public String getHouseId() {
        return houseId;
    }

    public void setHouseId(String houseId) {
        this.houseId = houseId == null ? null : houseId.trim();
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName == null ? null : houseName.trim();
    }

    public Double getActualBuildArea() {
        return actualBuildArea;
    }

    public void setActualBuildArea(Double actualBuildArea) {
        this.actualBuildArea = actualBuildArea;
    }

    public Double getActualInternalArea() {
        return actualInternalArea;
    }

    public void setActualInternalArea(Double actualInternalArea) {
        this.actualInternalArea = actualInternalArea;
    }

    public Double getActualShareArea() {
        return actualShareArea;
    }

    public void setActualShareArea(Double actualShareArea) {
        this.actualShareArea = actualShareArea;
    }

    public String getInstitution() {
        return institution;
    }

    public void setInstitution(String institution) {
        this.institution = institution == null ? null : institution.trim();
    }

    public Date getSigningDate() {
        return signingDate;
    }

    public void setSigningDate(Date signingDate) {
        this.signingDate = signingDate;
    }

    public BigDecimal getHousePrice() {
        return housePrice;
    }

    public void setHousePrice(BigDecimal housePrice) {
        this.housePrice = housePrice;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Double getBuyerProportion() {
        return buyerProportion;
    }

    public void setBuyerProportion(Double buyerProportion) {
        this.buyerProportion = buyerProportion;
    }

    public BigDecimal getBuyerMoney() {
        return buyerMoney;
    }

    public void setBuyerMoney(BigDecimal buyerMoney) {
        this.buyerMoney = buyerMoney;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName == null ? null : buyerName.trim();
    }

    public Integer getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(Integer paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public BigDecimal getMaintenanceFunds() {
        return maintenanceFunds;
    }

    public void setMaintenanceFunds(BigDecimal maintenanceFunds) {
        this.maintenanceFunds = maintenanceFunds;
    }

    public BigDecimal getMaintenanceTotalPrice() {
        return maintenanceTotalPrice;
    }

    public void setMaintenanceTotalPrice(BigDecimal maintenanceTotalPrice) {
        this.maintenanceTotalPrice = maintenanceTotalPrice;
    }

    public Integer getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(Integer contractStatus) {
        this.contractStatus = contractStatus;
    }

    public String getCustomerManagementId() {
        return customerManagementId;
    }

    public void setCustomerManagementId(String customerManagementId) {
        this.customerManagementId = customerManagementId == null ? null : customerManagementId.trim();
    }

    public BigDecimal getSubscriptionFunds() {
        return subscriptionFunds;
    }

    public void setSubscriptionFunds(BigDecimal subscriptionFunds) {
        this.subscriptionFunds = subscriptionFunds;
    }

    public String getCreatedId() {
        return createdId;
    }

    public void setCreatedId(String createdId) {
        this.createdId = createdId == null ? null : createdId.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getUpdatedId() {
        return updatedId;
    }

    public void setUpdatedId(String updatedId) {
        this.updatedId = updatedId == null ? null : updatedId.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getContractOriginal() {
        return contractOriginal;
    }

    public void setContractOriginal(String contractOriginal) {
        this.contractOriginal = contractOriginal == null ? null : contractOriginal.trim();
    }

    public String getContractOther() {
        return contractOther;
    }

    public void setContractOther(String contractOther) {
        this.contractOther = contractOther == null ? null : contractOther.trim();
    }
}