package com.idea.customerManagement.model;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel("选房详情、认购金")
@Data
public class RoomSelectionInfo implements Serializable {
    private String id;

    private String customerManagementId;

    private String groupId;

    private String discId;

    private String buildId;

    private String houseId;

    private Integer status;

    private BigDecimal receivableMoney;

    private BigDecimal receivedAmount;

    private Integer paymentMethod;

    private String serialNumber;

    private Date collectionTime;

    private String createdId;

    private Date createdAt;

    private Date updatedAt;

    private String updatedId;

    private String remark;

    private String fileList;

    private String depositNumber;

    private static final long serialVersionUID = 1L;

}